This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 143224 - rpm emits file_context errors with latest selinux-policy-targeted
rpm emits file_context errors with latest selinux-policy-targeted
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-17 11:24 EST by Joe Orton
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:28:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2004-12-17 11:24:38 EST
An updated FC3 system, selinux-policy-targeted-1.17.30-2.51, any rpm
-V command gives errors:

# rpm -V mod_ssl
/etc/selinux/targeted/contexts/files/file_contexts:  invalid context
system_u:object_r:xconsole_device_t on line number 141
/etc/selinux/targeted/contexts/files/file_contexts:  invalid context
system_u:object_r:power_device_t on line number 223
/etc/selinux/targeted/contexts/files/file_contexts:  invalid context
system_u:object_r:squirrelmail_spool_t on line number 554
/etc/selinux/targeted/contexts/files/file_contexts:  invalid context
system_u:object_r:winbind_exec_t on line number 781
...
Comment 1 Daniel Walsh 2004-12-17 12:00:27 EST
You need to reload policy.

make -C  /etc/selinux/targeted/src/policy reload
Comment 2 Joe Orton 2005-01-05 07:11:49 EST
I shouldn't need to, I hadn't *changed* the policy.  I guess this was
an artefact of the -sources package reloading the policy when it
shouldn't - I removed -sources and renamed policy.18.rpmnew over
policy.18 and it's OK now.

Note You need to log in before you can comment on or make changes to this bug.